Bug 494518 - Review Request: dontzap - Allows users to set the "DontZap" option in xorg.conf
Review Request: dontzap - Allows users to set the "DontZap" option in xorg.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On: 494517
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 05:44 EDT by Rahul Sundaram
Modified: 2013-03-13 01:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 04:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-04-07 05:44:31 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/dontzap.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/dontzap-0.1.2-1.fc10.src.rpm

Description: 

DontZap is an application written in Python which relies on X-Kit 
and allows users to set the "DontZap" option in xorg.conf.
Comment 1 Susi Lehtola 2009-04-08 18:13:20 EDT
Same issues as with x-kit:

- Why do you remove the egg? It should be included:
http://fedoraproject.org/wiki/Packaging/Python/Eggs

- Drop explicit Requires: python, it is automatically picked up.

- For clearness, remove "--record=INSTALLED_FILES" from install phase, since
the record isn't used for anything.

- Add "-O1 --skip-build" to install phase.


rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 3 Susi Lehtola 2009-04-09 18:24:57 EDT
Okay, looks good,

APPROVED.
Comment 4 Rahul Sundaram 2009-04-09 18:35:02 EDT
Thanks again.


New Package CVS Request
=======================
Package Name: dontzap
Short Description: Allows users to set the "DontZap" option in xorg.conf
Owners: sundaram
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2009-04-09 20:21:39 EDT
Is this package really a good idea anymore, given
http://who-t.blogspot.com/2009/04/zapping-server.html
?
Comment 6 Kevin Fenzi 2009-04-13 13:21:39 EDT
From the above link:

"Option DontZap is restored with this change to it's previous functionality - it disables zapping altogether (if enabled). Even if DontZap is disabled (the default), zapping only works if it is present in the xkb map."

So, this package will really just confuse things IMHO. 
If you use it to "enable" dontzap, it means it will not work anywhere. 
If you use it to "disable" dontzap, it means it will depend on the xkb map. 

At least thats my understanding of how things are now.
Comment 7 Peter Hutterer 2009-04-14 20:13:40 EDT
as of xorg-x11-server-1.6.0-18, the default for DontZap is "off" (i.e. the same default as in F10 and before, it allows zapping).

Zapping works in two-stages:
- the trigger is the xkb symbol Terminate_Server (default - don't include symbol)
- the final decision is the DontZap setting (default - allow zapping)

I agree with Kevin that this package will confuse users. Disabling or enabling DontZap has no effect if the Terminate_Server symbol isn't present. In current Rawhide, this symbol must be explicitly added through the gnome keyboard settings or setxkbmap.
Comment 8 Rahul Sundaram 2009-04-15 04:55:46 EDT
Thanks Peter for your work. I am closing out this review and won't be importing this package after all.

Note You need to log in before you can comment on or make changes to this bug.